Bug 244618 - rpcbind init hang after upgrade
rpcbind init hang after upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpcbind (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 00:17 EDT by edwinh
Modified: 2008-05-16 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: setup-2.6.14-1.fc9.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 18:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description edwinh 2007-06-18 00:17:48 EDT
Description of problem:

rpcbind hang after upgrade

Version-Release number of selected component (if applicable):

rpcbind-0.1.4-6.fc7


How reproducible:

After upgrade from FC6->F7, rpcbind hangs on boot.
Has happened to me on both x86_64 and i386 box upgrades.

No messages in syslog.  network itself comes up fine.  If I skip rpcbind and all
nis/nfs stuff during init box is fine, and other network stuff is fine. 

Tried to diff various things in /etc between fresh and upgrade (network-scripts,
etc) nothing stuck out.   Checked all rc.d stuff for init-order changes too.

rpcinfo -d or an strace of starting it manually, turns up nothing suspicious; it
just stops.

If I force the last portmap rpm from FC6 and the /usr/sbin/rpcinfo binary from
F7, things sort of work enough for me to get the box running.
Comment 1 edwinh 2007-06-26 00:45:04 EDT
No thanks to anyone looking at this bug or bothering to answer my email on
fedora-list, but I finally figured out the problem after having a hung upgrade
on several machines.

When the switch from portmap->rpcbind happened upgrades were not tested that
much I guess.  Anyway /etc/services need an rpcbind alias.

Once that is in there everything works fine.  Probably need a %post scriplet
somewhere.

Anyway, from a diff of fresh install vs. upgrade:

--- /etc/services  2007-06-13 21:47:01.000000000 -0700
+++ /hosts/hercules/etc/services   2006-05-24 13:12:48.000000000 -0700
@@ -1,5 +1,5 @@
 # /etc/services:
-# $Id: services,v 1.43 2007/04/18 08:40:12 pknirsch Exp $
+# $Id: services,v 1.42 2006/02/23 13:09:23 pknirsch Exp $
 #
 # Network services, Internet style
 #
@@ -108,8 +108,8 @@
 pop2           109/udp         pop-2
 pop3           110/tcp         pop-3           # POP version 3
 pop3           110/udp         pop-3
-sunrpc         111/tcp         portmapper rpcbind      # RPC 4.0 portmapper TCP
-sunrpc         111/udp         portmapper rpcbind      # RPC 4.0 portmapper UDP
+sunrpc         111/tcp         portmapper      # RPC 4.0 portmapper TCP
+sunrpc         111/udp         portmapper      # RPC 4.0 portmapper UDP
 auth           113/tcp         authentication tap ident
 auth           113/udp         authentication tap ident
 sftp           115/tcp
Comment 2 edwinh 2007-06-26 00:50:40 EDT
BTW I did have a modified-from-stock /etc/services (addition entries from other
software), but I didn't get an services.rpmnew or services.rpmsave after the
upgrade, which would clue one into checking for diffs.
Comment 3 Steve Dickson 2007-07-12 22:42:44 EDT
First of all... my apologize for not being on this sooner.
But yes is this is a know bug and I made the changes to
/etc/services but didn't realize would cause such havoc... 

But the answer is to add rpcbind to the portmapper line in
/etc/services file.. 
Comment 4 Bug Zapper 2008-05-14 09:09:24 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peter van Egdom 2008-05-16 18:59:27 EDT
Confirmed fixed in "setup-2.6.14-1.fc9.noarch" on Fedora release 9 (Sulphur) :

 [root@pavilion ~]# grep -i sunrpc /etc/services 
 sunrpc          111/tcp         portmapper rpcbind      # RPC 4.0 portmapper TCP
 sunrpc          111/udp         portmapper rpcbind      # RPC 4.0 portmapper UDP
 [root@pavilion ~]# rpm -qf /etc/services
 setup-2.6.14-1.fc9.noarch
 [root@pavilion ~]# cat /etc/redhat-release 
 Fedora release 9 (Sulphur)

Note You need to log in before you can comment on or make changes to this bug.